GET
/
v2
/
outbound
/
sends
/
{send_id}
Get outbound WhatsApp send detail
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/outbound/sends/{send_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "actor_user_id": "<string>",
  "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "session_name": "<string>",
  "session_label": "<string>",
  "text_sha256": "<string>",
  "text_length": 123,
  "media_count": 123,
  "media_urls": [
    "<string>"
  ],
  "recipient_count": 123,
  "source_type": "<string>",
  "requested_at_ms": 123,
  "updated_at_ms": 123,
  "text": "<string>",
  "client_idempotency_key": "<string>",
  "completed_at_ms": 123,
  "recipients": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "requested_at_ms": 123,
      "updated_at_ms": 123,
      "group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "recipient_id": "<string>",
      "recipient_label": "<string>",
      "waha_message_id": "<string>",
      "error_code": "<string>",
      "error_message": "<string>",
      "completed_at_ms": 123,
      "failed_at_ms": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

send_id
string<uuid>
required

Response

Outbound send detail.

id
string<uuid>
required
actor_user_id
string
required
session_id
string<uuid>
required
session_name
string
required
session_label
string
required
text_sha256
string
required
text_length
integer
required
media_count
integer
required
media_urls
string[]
required
recipient_count
integer
required
status
enum<string>
required
Available options:
queued,
sending,
sent,
failed,
partial_failed
source_type
string
required
requested_at_ms
integer<int64>
required
updated_at_ms
integer<int64>
required
text
string | null
client_idempotency_key
string | null
completed_at_ms
integer<int64> | null
recipients
object[]